package com.dcs.equipment.exception.device;

import lombok.Data;

/**
 * @author: wangpx
 * @date: 2025-07-17 15:22
 */
@Data
public class DeviceIOException extends Exception {
    private static final long serialVersionUID = 1L;
    private String message;
    private Integer code;

    public DeviceIOException() {
    }

    public DeviceIOException(String message) {
        this.message = message;
    }

    public DeviceIOException(String message, Integer code) {
        this.message = message;
        this.code = code;
    }

    public DeviceIOException(Exception e) {
        super(e);
    }
}
